propel:
  category:
    id: { type: INTEGER, primaryKey: true, required: true, autoIncrement: true }
    category_id: { type: INTEGER, foreignTable: category, foreignReference: id, onDelete: restrict }
    created_at: { type: TIMESTAMP }
    updated_at: { type: TIMESTAMP }
    category_id_path: { type: VARCHAR, size: '255' }
    tree_level: { type: SMALLINT }
    category_sort: { type: SMALLINT }
    name_pl: { type: VARCHAR, size: '128', required: false }
    name_en: { type: VARCHAR, size: '128', required: false }
    name_de: { type: VARCHAR, size: '128', required: false }
    name_ru: { type: VARCHAR, size: '128', required: false }   
    description_pl: { type: LONGVARCHAR }
    description_en: { type: LONGVARCHAR }
    description_de: { type: LONGVARCHAR }
    description_ru: { type: LONGVARCHAR }   
    mobile_description_pl: { type: LONGVARCHAR }
    mobile_description_en: { type: LONGVARCHAR }
    mobile_description_de: { type: LONGVARCHAR }
    mobile_description_ru: { type: LONGVARCHAR }   
    active_pl: { type: BOOLEAN, default: '0' }
    active_en: { type: BOOLEAN, default: '0' }
    active_de: { type: BOOLEAN, default: '0' }
    active_ru: { type: BOOLEAN, default: '0' }   
    vertical_position: { type: BOOLEAN, default: '0' }
    mobile: { type: BOOLEAN, default: '0', required: true }
    name_es: { type: VARCHAR, size: '128', required: false }
    description_es: { type: LONGVARCHAR }
    mobile_description_es: { type: LONGVARCHAR }
    active_es: { type: BOOLEAN, default: '0' }  
    name_nl: { type: VARCHAR, size: '128', required: false }
    mobile_description_nl: { type: LONGVARCHAR }
    description_nl: { type: LONGVARCHAR }
    active_nl: { type: BOOLEAN, default: '0' }
    picture: { type: VARCHAR, size: '150', required: false }
  complaint:
    id: { type: INTEGER, primaryKey: true, required: true, autoIncrement: true }
    product_name: { type: VARCHAR, size: '255', required: true }
    guarantee_card_number: { type: VARCHAR, size: '255', required: true}
    serial_number: { type: VARCHAR, size: '255', required: true}
    invoice_number: { type: VARCHAR, size: '255', required: true}
    from_day: { type: DATE, required: true }
    invoice_date: { type: DATE, required: true }
    person_name: { type: VARCHAR, size: '100', required: true }
    person_surname: { type: VARCHAR, size: '100', required: true }
    person_position: { type: VARCHAR, size: '255', required: true }
    person_phone: { type: VARCHAR, size: '30', required: true }
    person_address: { type: VARCHAR, size: '255', required: true }
    remark: { type: LONGVARCHAR, required: true }
    cur_date: { type: DATE, required: true }
    place: { type: VARCHAR, size: '255', required: true }
  product:
    id: { type: INTEGER, primaryKey: true, required: true, autoIncrement: true }
    category_id: { type: INTEGER, foreignTable: category, foreignReference: id, onDelete: restrict }
    created_at: ~
    updated_at: ~
    rank:  { type: integer, required: false }
    serial: { type: VARCHAR, size: '16' }
    dimension_pl: { type: LONGVARCHAR }
    dimension_en: { type: LONGVARCHAR }
    dimension_de: { type: LONGVARCHAR }
    dimension_ru: { type: LONGVARCHAR }   
    name_pl: { type: VARCHAR, size: '128' }
    name_en: { type: VARCHAR, size: '128' }
    name_de: { type: VARCHAR, size: '128' }
    name_ru: { type: VARCHAR, size: '128' }    
    description_pl: { type: LONGVARCHAR }
    description_en: { type: LONGVARCHAR }
    description_de: { type: LONGVARCHAR }
    description_ru: { type: LONGVARCHAR }    
    short_description_pl: { type: LONGVARCHAR }
    short_description_en: { type: LONGVARCHAR }
    short_description_de: { type: LONGVARCHAR }
    short_description_ru: { type: LONGVARCHAR }    
    active_pl: { type: BOOLEAN, default: '0' }
    active_en: { type: BOOLEAN, default: '0' }
    active_de: { type: BOOLEAN, default: '0' }
    active_ru: { type: BOOLEAN, default: '0' }   
    mobile_description_pl: { type: LONGVARCHAR }
    mobile_description_en: { type: LONGVARCHAR }
    mobile_description_de: { type: LONGVARCHAR }
    mobile_description_ru: { type: LONGVARCHAR }   
    vertical_position: { type: BOOLEAN, default: '0' }
    mobile: { type: BOOLEAN, default: '0', required: true }
    dimension_es: { type: LONGVARCHAR }
    name_es: { type: VARCHAR, size: '128' }
    description_es: { type: LONGVARCHAR }
    short_description_es: { type: LONGVARCHAR }
    active_es: { type: BOOLEAN, default: '0' }
    mobile_description_es: { type: LONGVARCHAR }
    is_new: { type: BOOLEAN, default: '0' }
    dimension_nl: { type: LONGVARCHAR }
    name_nl: { type: VARCHAR, size: '128' }
    description_nl: { type: LONGVARCHAR }
    short_description_nl: { type: LONGVARCHAR }
    active_nl: { type: BOOLEAN, default: '0' }
    mobile_description_nl: { type: LONGVARCHAR }
    only_photo: { type: BOOLEAN, default: '0' }
  promotion:
    id: { type: INTEGER, primaryKey: true, required: true, autoIncrement: true }
    name_pl: { type: VARCHAR, size: '128' }
    name_en: { type: VARCHAR, size: '128' }
    name_de: { type: VARCHAR, size: '128' }
    name_ru: { type: VARCHAR, size: '128' }    
    created_at: ~
    updated_at: ~
    start_date: { type: DATE }
    end_date: { type: DATE }
    active_pl: { type: BOOLEAN, default: '0' }
    active_en: { type: BOOLEAN, default: '0' }
    active_de: { type: BOOLEAN, default: '0' }
    active_ru: { type: BOOLEAN, default: '0' }  
    name_es: { type: VARCHAR, size: '128' }
    active_es: { type: BOOLEAN, default: '0' } 
    name_nl: { type: VARCHAR, size: '128' }
    active_nl: { type: BOOLEAN, default: '0' }
  product_promotion:
    promotion_id: { type: integer, foreignTable: promotion, foreignReference: id, required: true, primaryKey: true, onDelete: cascade }
    product_id:     { type: integer, foreignTable: product, foreignReference: id, primaryKey: true, required: true, onDelete: cascade }
  product_image:
    id:  { type: INTEGER, primaryKey: true, required: true, autoIncrement: true }
    product_id:  { type: integer, required: true, foreignTable: product, foreignReference: id, onDelete: cascade }
    photo:  { type: varchar, size: 250 }
    thumb:  { type: varchar, size: 250 }
    rank:  { type: integer, required: false }
    created_at:  ~ 
    description_pl: { type: LONGVARCHAR }
    description_en: { type: LONGVARCHAR }
    description_de: { type: LONGVARCHAR }
    description_ru: { type: LONGVARCHAR }
    description_es: { type: LONGVARCHAR }
    description_nl: { type: LONGVARCHAR }
    is_category_photo:  { type: BOOLEAN, default: false }
  contact:
    id:  { type: INTEGER, primaryKey: true, required: true, autoIncrement: true }
    name_pl: { type: VARCHAR, size: 50 }
    name_en: { type: VARCHAR, size: 50 }
    name_de: { type: VARCHAR, size: 50 }
    name_ru: { type: VARCHAR, size: 50 }
    description: { type: LONGVARCHAR }
    continent: { type: VARCHAR, size: 50, required: true }
    name_es: { type: VARCHAR, size: 50 }
    name_nl: { type: VARCHAR, size: 50 }
  past_projects:
    id:  { type: INTEGER, primaryKey: true, required: true, autoIncrement: true }
    title: { type: VARCHAR, size: 255 }
    google_link: { type: LONGVARCHAR }
    active: { type: BOOLEAN, default: false }
    category_id:  { type: integer, required: true, foreignTable: category, foreignReference: id, onDelete: cascade }
  past_project_image:
    id:  { type: INTEGER, primaryKey: true, required: true, autoIncrement: true }
    past_project_id:  { type: integer, required: true, foreignTable: past_projects, foreignReference: id, onDelete: cascade }
    photo:  { type: varchar, size: 250 }
    thumb:  { type: varchar, size: 250 }
    rank:  { type: integer, required: false }
    created_at:  ~ 
    description_pl: { type: LONGVARCHAR }
    description_en: { type: LONGVARCHAR }
    description_de: { type: LONGVARCHAR }
    description_ru: { type: LONGVARCHAR }
    description_es: { type: LONGVARCHAR }
    description_nl: { type: LONGVARCHAR }
  label_storage:
    id:  { type: INTEGER, primaryKey: true, required: true, autoIncrement: true }
    label:  { type: varchar, size: 250 }
    name_pl:  { type: varchar, size: 250 }
    name_en:  { type: varchar, size: 250 }
    name_de:  { type: varchar, size: 250 }
    name_ru:  { type: varchar, size: 250 }
    name_es:  { type: varchar, size: 250 }
    name_nl:  { type: varchar, size: 250 }
  static_pages:
    id:  { type: INTEGER, primaryKey: true, required: true, autoIncrement: true }
    name_pl: { type: VARCHAR, size: '128', required: false }
    name_en: { type: VARCHAR, size: '128', required: false }
    name_de: { type: VARCHAR, size: '128', required: false }
    name_ru: { type: VARCHAR, size: '128', required: false }
    description_pl: { type: LONGVARCHAR }
    description_en: { type: LONGVARCHAR }
    description_de: { type: LONGVARCHAR }
    description_ru: { type: LONGVARCHAR }
    name_es: { type: VARCHAR, size: '128', required: false }
    description_es: { type: LONGVARCHAR }
    name_nl: { type: VARCHAR, size: '128', required: false }
    description_nl: { type: LONGVARCHAR }
  language:
    id:  { type: INTEGER, primaryKey: true, required: true, autoIncrement: true }
    name:  { type: varchar, size: 250, required: true  }
    short: { type: varchar, size: 2, required: true }
    code:  { type: varchar, size: 5, required: true }
  news:
    id: ~
    title_pl: { type: VARCHAR, size: '255', required: false }
    title_en: { type: VARCHAR, size: '255', required: false }
    title_de: { type: VARCHAR, size: '255', required: false }
    title_ru: { type: VARCHAR, size: '255', required: false }
    description_pl: { type: LONGVARCHAR, required: false }
    description_en: { type: LONGVARCHAR, required: false }
    description_de: { type: LONGVARCHAR, required: false }
    description_ru: { type: LONGVARCHAR, required: false }
    active_pl: { type: BOOLEAN, required: false, default: 1 }
    active_en: { type: BOOLEAN, required: false, default: 1 }
    active_de: { type: BOOLEAN, required: false, default: 1 }
    active_ru: { type: BOOLEAN, required: false, default: 1 }
    more_url: { type: VARCHAR, required: false }
    start_date: { type: DATE, required: false }
    end_date: { type: DATE, required: false }
    created_at: ~
    files: { type: LONGVARCHAR, required: false } 
    title_es: { type: VARCHAR, size: '255', required: false }
    description_es: { type: LONGVARCHAR, required: false }
    active_es: { type: BOOLEAN, required: false, default: 1 }   
    title_nl: { type: VARCHAR, size: '255', required: false }
    description_nl: { type: LONGVARCHAR, required: false }
    active_nl: { type: BOOLEAN, required: false, default: 1 }
  news_photo:
    id: { type: INTEGER, size: '11', primaryKey: true, autoIncrement: true, required: true }
    news_id: { type: INTEGER, size: '11', required: true, foreignTable: news, foreignReference: id, onDelete: CASCADE, onUpdate: CASCADE }
    photo: { type: VARCHAR, size: '255', required: false }
    description_pl: { type: LONGVARCHAR, required: false }
    description_en: { type: LONGVARCHAR, required: false }
    description_de: { type: LONGVARCHAR, required: false }
    description_ru: { type: LONGVARCHAR, required: false }
    main_photo: { type: BOOLEAN, required: false, default: 0 }
    sort: { type: INTEGER, size: '11', required: false }
    description_es: { type: LONGVARCHAR, required: false }
    description_nl: { type: LONGVARCHAR, required: false }
  reference_projects:
    id: ~
    title_pl: { type: VARCHAR, size: '100', required: false }
    title_en: { type: VARCHAR, size: '100', required: false }
    title_de: { type: VARCHAR, size: '100', required: false }
    title_ru: { type: VARCHAR, size: '100', required: false }
    title_es: { type: VARCHAR, size: '100', required: false }
    country_pl: { type: VARCHAR, size: '50', required: false }
    country_en: { type: VARCHAR, size: '50', required: false }
    country_de: { type: VARCHAR, size: '50', required: false }
    country_ru: { type: VARCHAR, size: '50', required: false }
    country_es: { type: VARCHAR, size: '50', required: false }
    city_pl: { type: VARCHAR, size: '50', required: false }
    city_en: { type: VARCHAR, size: '50', required: false }
    city_de: { type: VARCHAR, size: '50', required: false }
    city_ru: { type: VARCHAR, size: '50', required: false }
    city_es: { type: VARCHAR, size: '50', required: false }
    active_pl: { type: BOOLEAN, required: false, default: 1 }
    active_en: { type: BOOLEAN, required: false, default: 1 }
    active_de: { type: BOOLEAN, required: false, default: 1 }
    active_ru: { type: BOOLEAN, required: false, default: 1 }
    active_es: { type: BOOLEAN, required: false, default: 1 }
    created_at: ~
    title_nl: { type: VARCHAR, size: '100', required: false }
    country_nl: { type: VARCHAR, size: '50', required: false }
    city_nl: { type: VARCHAR, size: '50', required: false }
    active_nl: { type: BOOLEAN, required: false, default: 1 }
  reference_projects_photo:
    id: { type: INTEGER, size: '11', primaryKey: true, autoIncrement: true, required: true }
    name: { type: VARCHAR, size: '50', required: false }
    reference_projects_id:  { type: INTEGER, size: '11', required: true, foreignTable: reference_projects, foreignReference: id, onDelete: CASCADE, onUpdate: CASCADE }       
    sort: { type: INTEGER, size: '11', required: false }   
      